/**
 * @file  ComArray.h
 * @brief Schnittstelle fuer die Klasse CComArray.
 */
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_COMARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_)
#define AFX_COMARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// Kanal - Klasse einbinden
#include "Com.h"

#define MAX_CHANNEL	                  250 // Maximalanzahl zu verwaltender Kanalklassen
#define CHANNEL_0                     0   // Kanal fuer die vorhandenen Routinen

// Verwalten der Kommunikationskanaele
class CComArray
{
public:
	CComArray();
	virtual ~CComArray();

	// Kanalarray ueber Indizierungsoperator verwalten
	CCom* operator[](int nIndex) const
		{ return Com[nIndex]; }
	CCom*& operator[](int nIndex)
		{ return (CCom*&)Com[nIndex]; }

protected:
	CCom *Com[MAX_CHANNEL];
};

#endif // !defined(AFX_COMARRAY_H__E3C45889_4BC1_4E74_9A5C_284BD5DD180D__INCLUDED_)
